%define pname OpenSSL
%define name python-%{pname}

Summary:	Python interface to the OpenSSL library
Name:		python-%{pname}
Version:	16.0.0
Release:	%mkrel 1
Source:		https://pypi.python.org/packages/source/p/py%{pname}/py%{pname}-%{version}.tar.xz
License:	ASL 2.0
Group:		Development/Python
Url:		https://github.com/pyca/pyopenssl
BuildArch:	noarch
BuildRequires:  python-devel
BuildRequires:  python3-devel

Obsoletes:	pyOpenSSL
Provides:	pyOpenSSL = %version-%release
Requires:	python-cryptography
Requires:	python-six

%description
pyOpenSSL is a high-level Python wrapper around a subset of OpenSSL library.

It includes:
* SSL.Connection objects, wrapping the methods of Python's portable sockets;
* callbacks written in Python;
* an extensive error-handling mechanism, mirroring OpenSSL's error codes;
* and much more.

%package -n python3-%{pname}
Summary:	Python wrapper module around the OpenSSL library
Group:		Development/Python
Requires:	python3-cryptography
Requires:	python3-six

%description -n python3-%{pname}
High-level wrapper around a subset of the OpenSSL library, includes among others
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes


%package doc
Summary:	Documentation for python-%{pname}
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation for python-OpenSSL

%prep
%setup -q -n py%pname-%version
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
CFLAGS="%{optflags} -fno-strict-aliasing" %{__python2} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags} -fno-strict-aliasing" %{__python3} setup.py build
popd

%{__make} -C doc html

%install
rm -rf %buildroot
%py2_install

pushd %{py3dir}
%py3_install
popd


%files
%{python2_sitelib}/OpenSSL/
%{python2_sitelib}/pyOpenSSL-*.egg-info


%files -n python3-%{pname}
%{python3_sitelib}/OpenSSL/
%{python3_sitelib}/pyOpenSSL-*.egg-info


%files doc
%doc examples doc/_build/html



%changelog
* Thu Apr 19 2016 bb <bb> 16.0.0-1pclos2016
- update

